using System;

internal sealed class Delegate101 : MulticastDelegate
{
	public extern string Invoke(object object_0, int int_0, int int_1);

	public static string smethod_0(object object_0, int int_0, int int_1, Delegate101 delegate101_1)
	{
		return delegate101_1(object_0, int_0, int_1);
	}

	public extern Delegate101(object object_0, IntPtr intptr_0);

	static Delegate101()
	{
		Class10.smethod_13(typeof(Delegate101).TypeHandle);
	}

	internal static Delegate101 delegate101_0;
}
